// Header

$('.p-header').insertBefore($('.p-body'));
$('.p-header-logo').insertBefore($('.p-nav-opposite'));

// Navigation

$('.p-navgroup.p-account').prepend('<a href="#top" class="p-navgroup-link p-navgroup-link--iconic p-navgroup-link--buttonScroll" data-xf-click="scroll-to"><i></i></a>');

$('.p-navEl').each(function(){

	var wnavEl = $(this).outerWidth();
	
	$(this).children('.menu').addClass('menu-navEL');

	if ( $("html").attr("dir") === 'RTL' )
	{
		$(this).children('.menu').addClass('RTL');
		$(this).children('.RTL').css({'margin-right': wnavEl/2});
	} else if ( $("html").attr("dir") === 'LTR' )
	{
		$(this).children('.menu').addClass('LTR');
		$(this).children('.LTR').css({'margin-left': wnavEl/2});
	}
});

// Search-control

var wu = $('.p-navgroup-link--search').outerWidth();

!function($){

	$(document).ready(function () {
		if ( $("html").attr("dir") === 'RTL' )
		{
			$('.search-area').css({'left': wu});
		} else if ( $("html").attr("dir") === 'LTR' )
		{
			$('.search-area').css({'right': wu});
		}

		$('.p-discovery').ready(function () {
			$('.control-search').click(function (e) {
				if($(this).parent().children('.search-area').hasClass('show')){
					$(this).parent().children('.search-area').removeClass('show');
                }else {
                	$(this).parent().children('.search-area').addClass('show');
                }
                $('.menu').removeClass('is-active');
                e.stopPropagation();
            });
            $('.search-input').click(function (e) {
            	$(this).parent().children('.search-option').addClass('active');
            	e.stopPropagation();
            });
            $('.search-option').click(function (e) {
            	e.stopPropagation();
            })
        });

        $(".control-search").click(function() {
			count++;
			var isEven = function(someNumber) {
				return (someNumber % 2 === 0) ? true : false;
			};
			
			if (isEven(count) === false) {
				$(this).addClass('active');
			}

			else if (isEven(count) === true) {
				$(this).removeClass('active');
				$('.search-option').removeClass('active');
			}
		});

		$('body, html').click(function () {
			$('.search-option').removeClass('active');
			$('.search-area').removeClass('show');
			$('.control-search').removeClass('active');
		});
    });

}(jQuery);


// Visitor Panel

var imgsrc = $('.block[data-widget-definition="visitor_panel"] .avatar img').attr('src');
var bgc = $('.block[data-widget-definition="visitor_panel"] .block-body').css( "background-color" );

$('.block[data-widget-definition="visitor_panel"] .block-body').css({ 'background-image':'linear-gradient(to bottom, rgba(254, 178, 204, .8) 0%, rgba(254, 178, 204, .8) 100%), url(' + imgsrc + ')'});

// Tooltip

$('.block--category .block-header').each(function() {
	
	var hc = $(this).children('a').width();
	var hh = $(this).outerHeight();

	if ( $("html").attr("dir") === 'RTL' )
	{
		$(this).children('.block-tooltip').children('.block-desc').css({'right': hc + 25});
	} else if ( $("html").attr("dir") === 'LTR' )
	{
		$(this).children('.block-tooltip').children('.block-desc').css({'left': hc + 25});
	}

	$(this).prepend('<div class="title-background"></div>');
	$(this).children('.title-background').css({'width': hc + 20, 'height': hh});

	$(".block-header > a").mouseenter(function(){
		$(this).next().children().show();
	});
	$(".block-header > a").mouseleave(function(){
		$(this).next().children().hide();
	});
});

// Block collapse

$('.block--category .block-header').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.block-minorHeader').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.bbWrapper > .bbCodeBlock > .bbCodeBlock-title').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.message-attachments > .block-textHeader').append('<div class="block-control block-control--collapse"><i></i></div>');

$('.block-control--collapse').click(function(e) {
	e.preventDefault();
	var notthis = $('.active').not(this);
 	$(this).parent().toggleClass('active').nextUntil('.block-minorHeader').slideToggle("fast");
});

// Sidebar-control

var count = 0;
var w2 = $('.p-body-main').width() - 40;
var w3 = $('.p-body-sidebar').width();
$(".block-control--sideBar").click(function() {
	count++;
	var isEven = function(someNumber) {
		return (someNumber % 2 === 0) ? true : false;
	};
	
	if (isEven(count) === false) {
		$(".p-body-content").animate({paddingRight: 0, width: w2}, 500);
		$(".p-body-sidebar").animate({opacity: 0}, 500);
		setTimeout(function() {
			$(".p-body-sidebar").css('display', 'none');
		}, 500);
	}

	else if (isEven(count) === true) {
		setTimeout(function() {
			$(".p-body-sidebar").css('display', 'table-cell');
		}, 0);
		$(".p-body-sidebar").animate({opacity: 1}, 500);
		$(".p-body-content").animate({paddingRight: 20, width: w2 - w3}, 500);
	}
});

// Node

$('.node').parent('.block-body').each(function(){
	$(this).after('<div class="block-body--outer"></div>');
	$(this).prependTo($(this).next('.block-body--outer'));
});

$('.node').closest('.block-container').css({'border': 0});

$('.node-extra').each(function(){
	$(this).insertAfter($(this).parent(''));
});

$('.node-subNodeMenu').each(function(){
	$(this).insertAfter($(this).closest('.node-main'));
});

$('.node-extra .listInline.listInline--bullet').removeClass('listInline--bullet');

// Sub-node

$('.subNodeMenu').prev('.menu-header').hide();

$('.node-subNodeMenu').each(function(){

	var subNodeLength = $(this).find('.subNodeMenu li').length;

	$(this).find('.menuTrigger').append('<span class="subNode-length"></span>');
	$(this).find('.subNode-length').text(+ subNodeLength);
});

// StructItem

$(document).ready(function(){
	$('.structItem-cell--latest .structItem-minor > *').each(function(){
		$(this).prependTo($(this).closest('.structItem-cell--latest'));
	});

	$('.structItem-latestDate').parent('').each(function(){
		$(this).prependTo($(this).siblings('.structItem-minor'));
	});
});

/* Footer */

$('.p-footer').append('<div class="p-footer-bottom"><div class="p-footer-inner"></div></div>');
$('.p-footer-debug').appendTo($('.p-footer-bottom > .p-footer-inner'));

$('.p-footer').each(function() {
	if ( $('.p-footer').has('.p-footer-top').length && !$('.p-footer').has('.p-footer-middle').length ) {
		$(this).children('.p-footer-top').children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	} else if ( $('.p-footer').has('.p-footer-top').length && $('.p-footer').has('.p-footer-middle').length ) {
		$(this).children('.p-footer-middle').children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	} else {
		$(this).children('.p-footer-inner').append('<div class="BRCopyright"><div class="content-brcpright"><a href="http://brivium.com/xenforo-add-ons" class="item-brcp" title="Brivium XenForo Add-ons">XenForo Add-ons</a><span>&nbsp;&amp;&nbsp;</span><a href="http://brivium.com/xenforo-styles" class="item-brcp" title="Brivium XenForo Styles">XenForo Styles</a><span> ™  © 2012-2018 Brivium LLC.</span></div></div>');
	}
});

$('.BRCopyright').css({'float': 'left', 'marginTop': 2, 'marginBottom': 2});

/* Footer -- End */

// Bonus

$('.js-alertsMenuBody').next('.menu-footer').find('.menu-footer-opposite a').empty();

$('.button').closest('dl.formRow:not(.formSubmitRow, .formSubmitRow--sticky)').children('dd').addClass('formButtonGroup');

$(document).ready(function(){
	$('.message-attribution').each(function(){
		$(this).insertAfter($(this).siblings('.message-content'));
	});

	$('.message-attribution-main').each(function(){
		$(this).prependTo($(this).parent('').siblings('.message-footer').children('.message-actionBar').children('.actionBar-set--internal'));
	});

	$('.message-attribution-opposite').each(function(){
		$(this).appendTo($(this).parent('').siblings('.message-footer').children('.message-actionBar').children('.actionBar-set--external'));
	});
});